      PROGRAM pass
      IMPLICIT NONE
      INTEGER x, y
      x = 10
      y = 3
      CALL add_one(x)
      CALL add_one(y)
      WRITE(*,*) x, y
      END
C
      SUBROUTINE add_one(s)
      IMPLICIT NONE
      INTEGER s
      s = s + 1
      END
